%global commit 268493f6871e3d91e2c20e70e99ebe668a1df10b
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Name:           pilas
Version:        1.3.2
Release:        3%{?dist}
Summary:        Engine to perform quickly and easily videogames

License:        LGPLv3
URL:            http://pilas-engine.com.ar
Source0:        https://github.com/hugoruscitti/pilas/archive/%{commit}/%{name}-%{commit}.tar.gz
Source1:        pilas.desktop
Source2:        pilas-icono.png
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  python-setuptools
BuildRequires:  PyQt4-devel

Requires:       pygame
Requires:       PyQt4
Requires:       PyQt4-webkit
Requires:       pybox2d

%description
Aimed at casual or novice programmers, this tool is ideal for 
those who want to learn to make their first video games.

%prep
%setup -q -n %{name}-%{commit}
rm -rf pilas.egg-info
rm -rf debian
sed -i -e '/^#!\//, 1d' pilasengine/ejemplos/vaca_voladora.py 
cp -a %{SOURCE1} .
cp -a %{SOURCE2} .

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -pm644 pilas-icono.png %{buildroot}%{_datadir}/pixmaps/


desktop-file-install                                    \
--dir=%{buildroot}%{_datadir}/applications         \
%{SOURCE1}


%files
%doc LICENSE README.md CHANGELOG
%{python2_sitelib}/pilasengine/
%{python2_sitelib}/data/
%{python2_sitelib}/pilas-*.egg-info
%{_bindir}/pilasengine
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/pilas-icono.png

%changelog
* Wed Mar 02 2016 Rex Dieter <rdieter@fedoraproject.org> 1.3.2-3
- Requires: PyQt4-webkit

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 1 2015 Eduardo Echeverria <echevemaster@gmail.com> - 1.3.2-1

* Sun Jan 11 2015 Eduardo Echeverria <echevemaster@gmail.com> - 0.90.17-1
- Initial packaging 
- Initial packaging 
